Package com.tietoenator.trip.jxp.data

# Enum Class TdbNlpInfo.FieldMappingType

java.lang.Object
java.lang.Enum<TdbNlpInfo.FieldMappingType>
com.tietoenator.trip.jxp.data.TdbNlpInfo.FieldMappingType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbNlpInfo.FieldMappingType>`, `Constable`

Enclosing class:
  `TdbNlpInfo`

public static enum TdbNlpInfo.FieldMappingType extends Enum<TdbNlpInfo.FieldMappingType>
Field name mapping mode for extracted meta-data.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Fields`
  Each meta-data category correspond to a separate TRIP field in the database.
  `None`
  Invalid or non-existing mapping.
  `Tuples`
  The database has two fields that form a name/value pair tuple list that can store any category name and value found during analysis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TdbNlpInfo.FieldMappingType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbNlpInfo.FieldMappingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### None

    public static final TdbNlpInfo.FieldMappingType None
    Invalid or non-existing mapping.

  - ### Fields

    public static final TdbNlpInfo.FieldMappingType Fields
    Each meta-data category correspond to a separate TRIP field in the database.

  - ### Tuples

    public static final TdbNlpInfo.FieldMappingType Tuples
    The database has two fields that form a name/value pair tuple list that can store any category name and value found during analysis.

- ## Method Details

  - ### values

    public static TdbNlpInfo.FieldMappingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbNlpInfo.FieldMappingType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null